#
# spec file for package SDL2_gfx
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           SDL2_gfx
%define lname	libSDL2_gfx-1_0-0
Version:        1.0.1
Release:        lp150.1.4
Summary:        SDL2 Graphics Routines for Primitives and Other Support Functions
License:        Zlib
Group:          Development/Libraries/X11
Url:            http://cms.ferzkopp.net/index.php/software/13-sdl-gfx

Source:         http://www.ferzkopp.net/Software/SDL2_gfx/%name-%version.tar.gz
Source3:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(sdl2)

%description
Library containing 20+ graphics primitives (line, box, circle, polygon, etc.) for SDL2.

%package -n %lname
Summary:        SDL2 Graphics Routines for Primitives and Other Support Functions
Group:          System/Libraries
Provides:       SDL2_gfx = %version-%release

%description -n %lname
Library containing 20+ graphics primitives (line, box, circle, polygon, etc.) for SDL2.

%package -n libSDL2_gfx-devel
Summary:        Libraries, includes and more to develop SDL2_gfx applications
Group:          Development/Libraries/X11
Requires:       %lname = %version
Provides:       SDL2_gfx-devel = %version-%release

%description -n libSDL2_gfx-devel
Library containing 20+ graphics primitives (line, box, circle, polygon, etc.) for SDL2.

%prep
%setup -q

%build
%configure \
%ifnarch x86_64
	--disable-mmx \
%endif
	--disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%_libdir/lib*.so.*

%files -n libSDL2_gfx-devel
%defattr(-,root,root)
%_includedir/SDL2/
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc

%changelog
* Thu Dec 18 2014 jengelh@inai.de
- Remove SDL2_gfx obsoletes (we never had packages of that name).
  Copy current Provides to baselibs.conf.
* Wed Jun 25 2014 jengelh@inai.de
- Disable MMX not only on i586, but also ppc64, armv7l, etc.
* Tue Jun 17 2014 jengelh@inai.de
- Update to new upstream release 1.0.1
  * Various minor and major fixes to drawing algorithms
  * Use of the SDLTest library for tests
  * pkg-config support.
- Only disable MMX for i586 (x86_64 has it implied)
* Mon Nov 11 2013 jengelh@inai.de
- Set RPM groups to the same values as on the main SDL packages
- Own /usr/include/SDL2 as well
* Mon Oct 28 2013 prusnak@opensuse.org
- created package (version 1.0.0)
  - based on SDL_gfx package
